ChangeSet 1.1083.2.5, 2003/08/28 13:09:20-07:00, greg@kroah.com

[PATCH] PCI: add PCI_DEVICE() macro to make pci_device_id tables easier to read.


 include/linux/pci.h |   12 ++++++++++++
 1 files changed, 12 insertions(+)


diff -Nru a/include/linux/pci.h b/include/linux/pci.h
--- a/include/linux/pci.h	Thu Aug 28 15:02:28 2003
+++ b/include/linux/pci.h	Thu Aug 28 15:02:28 2003
@@ -520,6 +520,18 @@
 	int  (*enable_wake) (struct pci_dev *dev, u32 state, int enable);   /* Enable wake event */
 };
 
+/**
+ * PCI_DEVICE - macro used to describe a specific pci device
+ * @vend: the 16 bit PCI Vendor ID
+ * @dev: the 16 bit PCI Device ID
+ *
+ * This macro is used to create a struct pci_device_id that matches a
+ * specific device.  The subvendor and subdevice fields will be set to
+ * PCI_ANY_ID.
+ */
+#define PCI_DEVICE(vend,dev) \
+	.vendor = (vend), .device = (dev), \
+	.subvendor = PCI_ANY_ID, .subdevice = PCI_ANY_ID
 
 /* these external functions are only available when PCI support is enabled */
 #ifdef CONFIG_PCI
